Bug 130529 - g++ failure
g++ failure
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: gcc (Show other bugs)
3.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Jakub Jelinek
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-20 23:01 EDT by Jay Stanley Benedict
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 15:19:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
tar file which contains source which causes the failure (150.00 KB, text/plain)
2004-08-20 23:08 EDT, Jay Stanley Benedict
no flags Details
preprocessed test case (97.99 KB, application/x-gzip)
2004-10-05 17:16 EDT, Richard Henderson
no flags Details

  None (edit)
Description Jay Stanley Benedict 2004-08-20 23:01:32 EDT
Description of problem:
> /usr/bin/g++ -ansi -static  -Wreorder -Wnon-virtual-dtor -Wabi
-Wold-style-cast -Woverloaded-virtual -Wsynth  -g -o test.o -I.
-I/home/stanb/src/common -I .. -I ../gsort -c test.cc
test.cc: In function `int main(int, char**)':
test.cc:57: Internal compiler error in convert_from_eh_region_ranges_1, at
   except.c:1397
Please submit a full bug report,
with preprocessed source if appropriate.


Version-Release number of selected component (if applicable):
> g++ -v
Reading specs from /usr/lib/gcc-lib/i386-redhat-linux/3.2.3/specs
Configured with: ../configure --prefix=/usr --mandir=/usr/share/man
--infodir=/usr/share/info --enable-shared --enable-threads=posix
--disable-checking --with-system-zlib --enable-__cxa_atexit
--host=i386-redhat-linux
Thread model: posix
gcc version 3.2.3 20030502 (Red Hat Linux 3.2.3-39)


How reproducible:
consistent

Steps to Reproduce:
1. try to compile with command above
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jay Stanley Benedict 2004-08-20 23:08:21 EDT
Created attachment 102952 [details]
tar file which contains source which causes the failure

untar the source code. run make at:

src/gdb/test
Comment 2 Richard Henderson 2004-10-05 17:13:37 EDT
Verified crash with 3.2; no crash with 3.3 or 3.4.
Comment 3 Richard Henderson 2004-10-05 17:16:17 EDT
Created attachment 104806 [details]
preprocessed test case
Comment 4 Jakub Jelinek 2005-01-03 13:45:17 EST
Simplified testcase:

typedef __SIZE_TYPE__ size_t;
inline void *operator new (size_t, void *p) throw() { return p; }
inline void operator delete (void *, void *) throw() {};
struct A { A (); ~A (); int i; };
struct B { B () {}; ~B () {}; };
void *bar (A);

void
foo ()
{
  A a;
  new (bar (a)) B ();
}
Comment 6 RHEL Product and Program Management 2007-10-19 15:19:49 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.